Skip to content
You're viewing documentation for v2026.11.10-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get balloon file health

Emergency reserve (balloon files) per PostgreSQL node of a database service.

GET/api/v1/database-services/{id}/health/reserve
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

errorstring
nodesReserveNodeHealth[]
Show properties
Array of ReserveNodeHealth
detailstring
errorstring
expected_bytesinteger<int64>required
expected_countinteger<int64>required
filesReserveFile[]required
Show properties
Array of ReserveFile
namestringrequired
size_bytesinteger<int64>required
hoststringrequired
rootReserveRoot
Show properties
dirstringrequired
expected_bytesinteger<int64>required
mountstringrequired

Mount point of the disk that holds postgresql.conf

size_bytesinteger<int64>required

Size of the root file; 0 when it is missing

statusstringrequired
Allowed:okdegraded
server_idstringrequired
statusstringrequired
Allowed:okdegradednot_provisionedunknown
statusstringrequired
Allowed:okdegradednot_provisionedunknown
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/database-services/string/health/reserve' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "error": "string",
  "nodes": [
    {
      "detail": "string",
      "error": "string",
      "expected_bytes": 0,
      "expected_count": 0,
      "files": [
        {
          "name": "string",
          "size_bytes": 0
        }
      ],
      "host": "string",
      "root": {
        "dir": "string",
        "expected_bytes": 0,
        "mount": "string",
        "size_bytes": 0,
        "status": "ok"
      },
      "server_id": "string",
      "status": "ok"
    }
  ],
  "status": "ok"
}